Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoSceneKit Class Reference
[Node Kits]

`#include <Inventor/nodekits/SoSceneKit.h>`

Inheritance diagram for SoSceneKit:

List of all members.

## Detailed Description

The SoSceneKit class collects node kits needed to set up a scene: camera, light and shapes.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoSceneKit
      -->"this"
            "callbackList"
      -->   "topSeparator"
      -->      "cameraList"
      -->      "lightList"
      -->      "childList"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoSceneKit
      PVT   "this",  SoSceneKit  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
            "cameraList",  SoNodeKitListPart [ SoCameraKit ]
            "lightList",  SoNodeKitListPart [ SoLightKit ]
            "childList",  SoNodeKitListPart [ SoShapeKit, SoSeparatorKit ]

(See SoBaseKit::printTable() for information about the output formatting.)

## Public Member Functions
| SoSceneKit (void)
int | getCameraNumber (void)
void | setCameraNumber (int camNum)
virtual SbBool | affectsState (void) const
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoSceneKit ()

## Constructor & Destructor Documentation

SoSceneKit::SoSceneKit | ( | void |  | ) |

| Constructor.

SoSceneKit::~SoSceneKit | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoSceneKit::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoBaseKit.

int SoSceneKit::getCameraNumber | ( | void |  | ) |

| Returns the index of the current active camera in cameraList.

void SoSceneKit::setCameraNumber | ( | int | camnum | ) |

| Sets the current active camera in cameraList.

SbBool SoSceneKit::affectsState | ( | void |  | ) | const`[virtual]`

| Returns `TRUE` if the node could have any effect on the state during traversal. If it returns `FALSE`, no data in the traversal-state will change from the pre-traversal state to the post-traversal state. The SoSeparator node will for instance return `FALSE`, as it pushes and pops the state before and after traversal of its children. All SoShape nodes will also return `FALSE`, as just pushing out geometry data to the rendering engine won't affect the actual rendering state. The default method returns `TRUE`, on a "better safe than sorry" philosophy. Reimplemented from SoNode.

The documentation for this class was generated from the following files:

- SoSceneKit.h
- SoSceneKit.cpp